## org.apache.poi.openxml4j.opc
Enum CompressionOption

    java.lang.Object
      java.lang.Enum<CompressionOption>
          org.apache.poi.openxml4j.opc.CompressionOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompressionOption>

    public enum CompressionOption

extends java.lang.Enum<CompressionOption>

Specifies the compression level for content that is stored in a PackagePart.

Version:
  1.0
Author:
  Julien Chable

Enum Constant Summary
`FAST` Compression is optimized for performance.
`MAXIMUM` Compression is optimized for size.
`NORMAL` Compression is optimized for a balance between size and performance.
`NOT_COMPRESSED` Compression is turned off.

Method Summary
`int` `value()`
`static CompressionOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompressionOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FAST

    public static final CompressionOption FAST

  Compression is optimized for performance.

### MAXIMUM

    public static final CompressionOption MAXIMUM

  Compression is optimized for size.

### NORMAL

    public static final CompressionOption NORMAL

  Compression is optimized for a balance between size and performance.

### NOT_COMPRESSED

    public static final CompressionOption NOT_COMPRESSED

  Compression is turned off.

Method Detail

### values

    public static CompressionOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CompressionOption c : CompressionOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CompressionOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public int value()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.